Integrations

Revoke a grant

DELETE
/integrations/grants/{grant_id}

Revoke one of the caller's grants. Calls through it are denied from then on and import sources that use it are paused.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

grant_id*string

Resource identifier: grant_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/integrations/grants/123e4567-e89b-42d3-a456-426614174000" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000"
{  "id": "123e4567-e89b-42d3-a456-426614174000",  "status": "ACTIVE"}